Page MenuHomeFreeBSD

pyqt: add quickwidgets port
ClosedPublic

Authored by novel on Jun 19 2018, 2:09 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

novel created this revision.Jun 19 2018, 2:09 PM
mat added a comment.Jun 19 2018, 2:13 PM

The Makefile has badly ordered bits. Could you please read Chapter 15. Order of Variables in Port Makefiles and make the appropriates changes.

Also, could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

tcberner added inline comments.
x11-toolkits/py-qt5-quickwidgets/Makefile
16 ↗(On Diff #44074)

^ please alphabetize these, and move qmake_build to the end:

USE_QT5=  core gui network qml quick widgets \
          qmake_build
19 ↗(On Diff #44074)

^missing space after =

x11-toolkits/py-qt5-quickwidgets/pkg-plist
5 ↗(On Diff #44074)

^%%API%%

novel updated this revision to Diff 44150.Jun 20 2018, 3:00 PM
novel marked 3 inline comments as done.
novel added a comment.Jun 20 2018, 3:07 PM
In D15903#336408, @mat wrote:

The Makefile has badly ordered bits. Could you please read Chapter 15. Order of Variables in Port Makefiles and make the appropriates changes.
Also, could you use devel/arcanist, or at least generate a diff with full context like it does, with svn diff -x -U9999 or git diff -U9999.

Sorry, I based that on one of the existing py-qt5-* ports and forgot to run portlint on that. Should be fine now except the LICENSE bit which is defined in Uses/pyqt.mk.

tcberner added inline comments.Jun 21 2018, 4:40 PM
py-qt5/Makefile
5 ↗(On Diff #44150)

^ please bump the PORTREVISON too

Could you update the diff using arc-diff?

novel updated this revision to Diff 44376.Jun 24 2018, 7:29 AM
novel marked an inline comment as done.Jun 24 2018, 7:29 AM

Could you update the diff using arc-diff?

Done.

tcberner requested changes to this revision.Jun 30 2018, 7:21 AM

Sorry, I was busy :)

x11-toolkits/py-qt5-quickwidgets/Makefile
14 ↗(On Diff #44376)

^ this needs to be converted to
USES=qt:5 and USE_QT=

This revision now requires changes to proceed.Jun 30 2018, 7:21 AM
novel updated this revision to Diff 44718.Jul 1 2018, 11:42 AM

Switch to USES=qt:5 and USE_QT.

novel marked an inline comment as done.Jul 1 2018, 11:42 AM
tcberner accepted this revision.Jul 1 2018, 12:09 PM

Looks good to me.

This revision was not accepted when it landed; it landed in state Needs Review.Jul 11 2018, 4:44 PM
This revision was automatically updated to reflect the committed changes.